Bug 522245 - Review Request: vdpauinfo - Tool to query the capabilities of a VDPAU implementation
Review Request: vdpauinfo - Tool to query the capabilities of a VDPAU impleme...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
Depends On: 490988
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-09 16:50 EDT by Nicolas Chauvet (kwizart)
Modified: 2010-12-10 09:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 18:25:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
guido.grazioli: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2009-09-09 16:50:15 EDT
SRPM URL:
http://rpms.kwizart.net/fedora/11/SRPMS/vdpauinfo-0.0.6-1.fc11.src.rpm
Description: Tool to query the capabilities of a VDPAU implementation
Comment 1 Nicolas Chauvet (kwizart) 2009-09-17 17:31:51 EDT
SRPM URL: 
http://kwizart.fedorapeople.org/review/vdpauinfo-0.0.6-2.fc11.src.rpm
SPEC: http://kwizart.fedorapeople.org/review/vdpauinfo.spec
Description: Tool to query the capabilities of a VDPAU implementation
Comment 2 Guido Grazioli 2009-09-20 08:29:51 EDT
Please include the COPYING and AUTHORS file in %doc; you also have a little typo in the latest changelog entry. I will post the complete review after that.
Comment 3 Guido Grazioli 2009-09-20 08:57:39 EDT
Please forgive comment above, my bad... here's the review.

OK - MUST: rpmlint must be run on every package. The output should be posted
in the review.
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

OK - MUST: The sources used to build the package match the upstream source by
MD5:  513df206613cbd061b6d49cdbfe927ef

OK - MUST: The package builds in koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1692796

OK - MUST: The package is named according to the Package Naming Guidelines.
OK - MUST: The spec file name matches the base package %{name}, in the format
%{name}.spec.
OK - MUST: The package meets the Packaging Guidelines.
OK - MUST: The package is licensed with a Fedora approved license and meets the
Licensing Guidelines: GPLv2+
OK - MUST: The License field in the package spec file matches the actual
license.
OK - MUST: The license file from the source package is included in %doc.
OK - MUST: The spec file is in American English.
OK - MUST: The spec file for the package is legible.
OK - MUST: The package successfully compiles and builds into binary rpms on
i386
N/A - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch.
OK - MUST: All build dependencies are listed in BuildRequires.
N/A - MUST: The spec file handles locales properly with the %find_lang macro.
N/A - MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package.
OK - MUST: The package must own all directories that it creates
OK - MUST: The package does not contain any duplicate files in the %files
listing.
OK - MUST: Permissions on files are set properly. Every %files section includes
a %defattr(...) line.
OK - MUST: The package has a %clean section, which contains rm -rf
%{buildroot}.
OK - MUST: The package consistently uses macros, as described in the macros
section of Packaging Guidelines.
OK - MUST: The package contains code, or permissable content.
OK - MUST: Large documentation files should go in a -doc subpackage.
OK - MUST: Files included as %doc do not affect the runtime of the application.
N/A - MUST: Header files must be in a -devel package.
N/A - MUST: Static libraries must be in a -static package.
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig'.
N/A - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
N/A - MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
OK - MUST: The packages does not own files or directories already owned by
other packages.
OK - MUST: At the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: All filenames in rpm packages are valid UTF-8.


SHOULD Items:
N/A - SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
N/A - SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
OK - SHOULD: The package should compile and build into binary rpms on all
supported architectures.
OK - SHOULD: The package functions as described.
N/A - SHOULD: If scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
N/A - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
and this is usually for development purposes, so should be placed in a -devel
pkg.
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin,
/sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the
file instead of the file itself.
OK - SHOULD: uses opt_flags and smp_mflags


Package APPROVED.
Comment 4 Nicolas Chauvet (kwizart) 2009-09-22 02:26:47 EDT
New Package CVS Request
=======================
Package Name: vdpauinfo
Short Description: Tool to query the capabilities of a VDPAU implementation
Owners: kwizart
Branches: devel F-11 F-10
Comment 5 Kevin Fenzi 2009-09-22 12:28:51 EDT
cvs done.
Comment 6 Nicolas Chauvet (kwizart) 2009-09-22 18:25:41 EDT
Thx for the review, I'm closing this bug for now, as Rawhide build is done.
Building for F-10 and F-11 will be possible on next push (so libvdpau will be available in the buildroot).
Comment 7 Nicolas Chauvet (kwizart) 2010-12-09 10:27:02 EST
Package Change Request
======================
Package Name: vdpauinfo
New Branches: el5 el6
Owners: kwizart
Comment 8 Jason Tibbitts 2010-12-10 09:41:50 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.